@import url('https://fonts.googleapis.com/css2?family=DM+Sans:wght@100..900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Crimson+Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=EB+Garamond:wght@400;500;700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:wght@400;500;600;700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Onest:wght@100;200;300;400;500;600;700;800&display=swap');

.onset {
    font-family: 'Onest', sans-serif;
}
.eb-garamond {
font-family: 'EB Garamond', serif;
}

.funnel-display {
font-family: 'Playfair Display', serif;
}

.funnel-sans {
font-family: 'Inter', sans-serif;
}

.dm-text {
    font-family: "DM Sans", sans-serif;
}

.crimson-text {
    font-family: 'Crimson Text', serif;
}

/* Blog CSS */
.mainContainer{
    margin: 0 auto;
    box-sizing: border-box;
}
/* Section1 Hero Section */
.heading{
    font-family: 'Crimson Text', serif;
    font-weight: 400;
    font-style: normal;
    font-size: clamp(32px, 6vw, 64px);
    line-height: 1.2;
    letter-spacing: -0.03em;
    text-align: center;
}

.subheading{
    font-family: "DM Sans", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 18px;
    line-height: 24px;
    letter-spacing: -2%;
    text-align: center;
    
}
.inputContainer{
    max-width: 60%;
    border: 1px solid black;
    display: flex;
    padding: 10px 20px;
    margin: 0 auto;
}
.inputContainer svg{
    height: 30px;
    width: 30px;
}
.blogS1 input{
    outline-style: none;
    border: none;
    min-width: 50%;
    padding-left: 20px;
}
.blogS1 input::placeholder{
    color: gray;
    font-size: 14px;
}
/* Section2 Tabs */
.blogS2{
    max-width: 1200px;
    margin: 60px auto;
    padding: 0 20px;
}

/* Tabs */
.tabs{
    display: flex;
    gap: 20px;
    justify-content: center;
    flex-wrap: wrap;
    margin-block: 40px;
}

.tab{
    cursor: pointer;
    font-family: DM Sans;
    font-weight: 600;
    font-style: SemiBold;
    font-size: 18px;
    line-height: 24px;
    letter-spacing: -2%;
    text-align: center;
    background-color: transparent;
    border: none;
    padding: 1px 4px;
    border-radius: 4px;

}
.tab.active{
    background: #000;
    color: #fff;
}
.posts{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}
.card{
    border: 1px solid #ddd;
}
.card img{
    width: 100%;
    height: 200px;
    object-fit: cover;
}
.card h3{
    font-family: "DM Sans", sans-serif;
    font-weight: 600;
    font-style: SemiBold;
    font-size: 20px;
    line-height: 24px;
    letter-spacing: -2%;
}
.carddateline{
    display: flex;
}
.carddate {
    font-family: "DM Sans", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: -2%;
    text-transform: uppercase;
    padding-right: 10px;
    color: gray;
}
.cardPhoto{
    font-family: "DM Sans", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: -2%;
    color: gray;
    text-transform: uppercase;
    padding-right: 10px;
    position: relative;
    bottom:2px;
}
.cardPhoto::before{
    content: '•';
    font-size: 18px;
    position: relative;
    top: 2px;
}
.cardTranding{
    font-family: "DM Sans", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: -2%;
    color: gray;
    text-transform: uppercase;
    position: relative;
    bottom:2px;
}
.cardTranding::before{
    content: '•';
    font-size: 18px;
    position: relative;
    top: 2px;
}

.card p{
    font-family: "DM Sans", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 18px;
    line-height: 22.75px;
    letter-spacing: -2%;

}
.card a{
    font-family: "DM Sans", sans-serif;
    font-style: normal;
    font-size: 18px;
    line-height: 20px;
    letter-spacing: -2%;
    text-align: center;
    text-transform: uppercase;
    text-decoration: none;
    color: black;

}
.moreBtn{
    display: block;
    margin: 40px auto 0;
    background: #000;
    color: #fff;
    padding: 10px 18px;
    border: none;
    cursor: pointer;
    font-weight: 800;
    border-radius: 4px;
}

/* Section3 Subscribe */
.span{
    font-family: "DM Sans", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 12px;
    line-height: 20px;
    letter-spacing: -2%;
    text-align: center;

}
.subscribeContainer{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

/* Input wrapper */
.subscribeinputContainer{
    display: flex;
    border: 1px solid black;
    border-radius: 4px;
    padding-left: 4px;
    min-width: 500px;
    padding: 10px 15px;
}

/* Icon */
.subscribeinputContainer .icon{
    width: 25px;
    height: 25px;
    color: #555;
}

/* Input */
.subscribeinputContainer input{
    max-width: 90%;
    border: none;
    border-radius: 4px;
    outline: none;
    font-size: 14px;
}
.subscribeinputContainer input::placeholder{
    text-align: left;
    font-size: 14px;
    
}

/* Button */
.subscribeBtn{
    background: #000;
    color: #fff;
    border: none;
    padding: 12px 20px;
    cursor: pointer;
    border-radius: 4px;
    font-style: 800;
}


@media(max-width: 768px){
    .posts{
        grid-template-columns: 1fr;
    }
}
@media (max-width: 600px){
    .subscribeContainer{
        flex-direction: column;
        width: 100%;
    }

    .subscribeinputContainer{
        min-width: 90%;
    }

    .subscribeBtn{
        width: 50%;
    }
}
